com.amazonaws.services.lambda.model

## Class InvokeAsyncResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.lambda.model.InvokeAsyncResult

All Implemented Interfaces:
  Serializable, Cloneable

Deprecated.

    @Deprecated
    public class InvokeAsyncResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

Upon success, it returns empty response. Otherwise, throws an exception.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`InvokeAsyncResult()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`InvokeAsyncResult` `clone()` Deprecated.
`boolean` `equals(Object obj)` Deprecated.
`Integer` `getStatus()` Deprecated. It will be 202 upon success.
`int` `hashCode()` Deprecated.
`void` `setStatus(Integer status)` Deprecated. It will be 202 upon success.
`String` `toString()` Deprecated. Returns a string representation of this object; useful for testing and debugging.
`InvokeAsyncResult` `withStatus(Integer status)` Deprecated. It will be 202 upon success.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InvokeAsyncResult

    public InvokeAsyncResult()

Deprecated.

### Method Detail

#### setStatus

    public void setStatus(Integer status)

Deprecated.

It will be 202 upon success.

Parameters:
  `status` - It will be 202 upon success.

#### getStatus

    public Integer getStatus()

Deprecated.

It will be 202 upon success.

Returns:
  It will be 202 upon success.

#### withStatus

    public InvokeAsyncResult withStatus(Integer status)

Deprecated.

It will be 202 upon success.

Parameters:
  `status` - It will be 202 upon success.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Deprecated.
Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Deprecated.

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Deprecated.

Overrides:
  `hashCode` in class `Object`

#### clone

    public InvokeAsyncResult clone()

Deprecated.

Overrides:
  `clone` in class `Object`